Debian Bug report logs - #412467
manpages-dev: repeated words

version graph

Package: manpages-dev; Maintainer for manpages-dev is Martin Schulze <joey@debian.org>; Source for manpages-dev is src:manpages.

Reported by: Justin Pryzby <pryzbyj@justinpryzby.com>

Date: Mon, 26 Feb 2007 09:15:01 UTC

Severity: minor

Tags: fixed-upstream

Found in versions manpages/2.39-1, 2.56

Done: Martin Schulze <joey@infodrom.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#412467; Package manpages-dev. Full text and rfc822 format available.

Acknowledgement sent to Justin Pryzby <pryzbyj@justinpryzby.com>:
New Bug report received and forwarded. Copy sent to Martin Schulze <joey@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Justin Pryzby <pryzbyj@justinpryzby.com>
To: submit@bugs.debian.org
Subject: manpages-dev: repeated words
Date: Mon, 26 Feb 2007 04:11:15 -0500
Package: manpages-dev
Version: 2.39-1
Severity: minor

The following pages repeat the the word "the":

  ptrace
  scanf
  tsearch
  error		  (this is what caused me to look for the problem;
		  unfortunately this one was only caught manually, since
		  the second consecutive occurance of the word was on a
		  separate line)

unicode.7: also also
select_tut: that that



Information forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#412467; Package manpages-dev. Full text and rfc822 format available.

Acknowledgement sent to Michael Kerrisk <mtk-manpages@gmx.net>:
Extra info received and forwarded to list. Copy sent to Martin Schulze <joey@debian.org>. Full text and rfc822 format available.

Message #10 received at 412467@bugs.debian.org (full text, mbox):

From: Michael Kerrisk <mtk-manpages@gmx.net>
To: Justin Pryzby <pryzbyj@justinpryzby.com>, 412467@bugs.debian.org
Cc: debc <control@bugs.debian.org>
Subject: Re: Bug#412467: manpages-dev: repeated words
Date: Wed, 28 Feb 2007 17:25:15 -0800
tags 412467 fixed-upstream
thanks

Hi Justin,

> The following pages repeat the the word "the":
                                 ^^^

Was this subtle humour? ;-)

>   ptrace

This seems already to have been fixed in some post 2.39 upstream release.

>   scanf

I do not even see the problem in 2.39.  Please provide more info.

>   tsearch

I do not even see the problem in 2.39.  Please provide more info.

>   error		  (this is what caused me to look for the problem;
> 		  unfortunately this one was only caught manually, since
> 		  the second consecutive occurance of the word was on a
> 		  separate line)
Fixed, thanks.

> unicode.7: also also

fixed, thanks.

> select_tut: that that

fixed, thanks.

Fixes will be in 2.44.

I also wrote a short script that found a few other duplicated word errors.

Thanks,

Michael

-- 
Michael Kerrisk
maintainer of Linux man pages Sections 2, 3, 4, 5, and 7

Want to help with man page maintenance?  Grab the latest tarball at
http://www.kernel.org/pub/linux/docs/manpages/
read the HOWTOHELP file and grep the source files for 'FIXME'.



Tags added: fixed-upstream Request was from Michael Kerrisk <mtk-manpages@gmx.net> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#412467; Package manpages-dev. Full text and rfc822 format available.

Acknowledgement sent to Justin Pryzby <justinpryzby@users.sourceforge.net>:
Extra info received and forwarded to list. Copy sent to Martin Schulze <joey@debian.org>. Full text and rfc822 format available.

Message #17 received at 412467@bugs.debian.org (full text, mbox):

From: Justin Pryzby <justinpryzby@users.sourceforge.net>
To: Michael Kerrisk <mtk-manpages@gmx.net>, 412467@bugs.debian.org
Subject: Re: Bug#412467: manpages-dev: repeated words
Date: Thu, 1 Mar 2007 07:27:43 -0500
On Wed, Feb 28, 2007 at 05:25:15PM -0800, Michael Kerrisk wrote:
> tags 412467 fixed-upstream
> thanks
> 
> Hi Justin,
> 
> > The following pages repeat the the word "the":
> 
> Was this subtle humour? ;-)
Or otherwise my attempt thereat.

> >   ptrace
> 
> This seems already to have been fixed in some post 2.39 upstream release.
In 2.40 now:

This call is used by programs like User Mode Linux that want to emu-
late all the the child's syscalls.  (addr and data are ignored;
         ^^^^^^^

> 
> >   scanf
corresponding pointer argument.  If the next item of input does not
match the the conversion specification, the conversion fails
      ^^^^^^^

> I do not even see the problem in 2.39.  Please provide more info.
> 
> >   tsearch
|to a leaf node.  (These symbols are defined in <search.h>.)  The third
|argument is the depth of the node, with zero being the root.  You should
|not modify the tree while traversing it as the the results would be
                                            ^^^^^^^
|undefined.


> I also wrote a short script that found a few other duplicated word errors.
Could you share it?   I wrote something to the effect of
  dpkg -L |xargs zgrep -Ee '(\w{5,})  *\1'

I think I wrote something more effective another time, but can't think
what it was.

Justin



Information forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#412467; Package manpages-dev. Full text and rfc822 format available.

Acknowledgement sent to Michael Kerrisk <mtk-manpages@gmx.net>:
Extra info received and forwarded to list. Copy sent to Martin Schulze <joey@debian.org>. Full text and rfc822 format available.

Message #22 received at 412467@bugs.debian.org (full text, mbox):

From: Michael Kerrisk <mtk-manpages@gmx.net>
To: Justin Pryzby <justinpryzby@users.sourceforge.net>, 412467@bugs.debian.org
Subject: Re: Bug#412467: manpages-dev: repeated words
Date: Sun, 18 Mar 2007 06:36:06 +0100

Justin Pryzby wrote:
> On Wed, Feb 28, 2007 at 05:25:15PM -0800, Michael Kerrisk wrote:
>> tags 412467 fixed-upstream
>> thanks
>>
>> Hi Justin,
>>
>>> The following pages repeat the the word "the":
>> Was this subtle humour? ;-)
> Or otherwise my attempt thereat.
> 
>>>   ptrace
>> This seems already to have been fixed in some post 2.39 upstream release.
> In 2.40 now:
> 
> This call is used by programs like User Mode Linux that want to emu-
> late all the the child's syscalls.  (addr and data are ignored;
>          ^^^^^^^
> 
>>>   scanf
> corresponding pointer argument.  If the next item of input does not
> match the the conversion specification, the conversion fails
>       ^^^^^^^
> 
>> I do not even see the problem in 2.39.  Please provide more info.
>>
>>>   tsearch
> |to a leaf node.  (These symbols are defined in <search.h>.)  The third
> |argument is the depth of the node, with zero being the root.  You should
> |not modify the tree while traversing it as the the results would be
>                                             ^^^^^^^
> |undefined.
> 
> 
>> I also wrote a short script that found a few other duplicated word errors.
> Could you share it?   I wrote something to the effect of
>   dpkg -L |xargs zgrep -Ee '(\w{5,})  *\1'
> 
> I think I wrote something more effective another time, but can't think
> what it was.
> 
> Justin

The following will be in scripts/find_repeated_words.sh.  NOTE: it provides
 guidance only: the files must still be inspected -- some duplicate words
are valid English.

Cheers,

Michael

#!/bin/sh
#
# A simple script for finding instances of repeated consecutive words
# in manual pages -- human inspection can then determine if these
# are real errors in the text.
#
# Usage: sh find_repeated_words.sh [file...]
#
for file in "$@" ; do
    words=$(man -l "$file" 2> /dev/null | col -b | \
        tr ' \008' '\012' | sed -e '/^$/d' | \
        awk 'BEGIN {p=""} {if (p==$0) print p; p=$0 }' | \
        grep '[a-zA-Z]' | tr '\012' ' ')
    if test "X$words" != "X"; then
        echo "$file: $words"
    fi
done

-- 
Michael Kerrisk
maintainer of Linux man pages Sections 2, 3, 4, 5, and 7

Want to help with man page maintenance?  Grab the latest tarball at
http://www.kernel.org/pub/linux/docs/manpages/
read the HOWTOHELP file and grep the source files for 'FIXME'.



Information forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#412467; Package manpages-dev. Full text and rfc822 format available.

Acknowledgement sent to Florian Ernst <florian_ernst@gmx.net>:
Extra info received and forwarded to list. Copy sent to Martin Schulze <joey@debian.org>. Full text and rfc822 format available.

Message #27 received at 412467@bugs.debian.org (full text, mbox):

From: Florian Ernst <florian_ernst@gmx.net>
To: Justin Pryzby <justinpryzby@users.sourceforge.net>
Cc: Michael Kerrisk <mtk-manpages@gmx.net>, 412467@bugs.debian.org
Subject: Re: Bug#412467: manpages-dev: repeated words
Date: Thu, 14 Jun 2007 18:57:19 +0200
[Message part 1 (text/plain, inline)]
Hello Justin, hello Michael, hello Joey,

On Thu, Mar 01, 2007 at 07:27:43AM -0500, Justin Pryzby wrote:
> On Wed, Feb 28, 2007 at 05:25:15PM -0800, Michael Kerrisk wrote:
> > >   scanf
> corresponding pointer argument.  If the next item of input does not
> match the the conversion specification, the conversion fails
>       ^^^^^^^

In 2.56 this reduplication is still present, please see the attached
patch. All the other fixes proposed by Justin appear to have been
included.

Cheers,
Flo
[scanf_the_the.diff (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, inline)]

Bug marked as found in version 2.56. Request was from Justin Pryzby <justinpryzby@users.sourceforge.net> to control@bugs.debian.org. (Thu, 14 Jun 2007 17:06:02 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#412467; Package manpages-dev. Full text and rfc822 format available.

Acknowledgement sent to Michael Kerrisk <mtk-manpages@gmx.net>:
Extra info received and forwarded to list. Copy sent to Martin Schulze <joey@debian.org>. Full text and rfc822 format available.

Message #34 received at 412467@bugs.debian.org (full text, mbox):

From: Michael Kerrisk <mtk-manpages@gmx.net>
To: Florian Ernst <florian_ernst@gmx.net>
Cc: Justin Pryzby <justinpryzby@users.sourceforge.net>, 412467@bugs.debian.org, debc <control@bugs.debian.org>
Subject: Re: Bug#412467: manpages-dev: repeated words
Date: Thu, 14 Jun 2007 22:09:06 +0200
tags 412467 fixed-upstream
thanks

Florian Ernst wrote:
> Hello Justin, hello Michael, hello Joey,
> 
> On Thu, Mar 01, 2007 at 07:27:43AM -0500, Justin Pryzby wrote:
>> On Wed, Feb 28, 2007 at 05:25:15PM -0800, Michael Kerrisk wrote:
>>>>   scanf
>> corresponding pointer argument.  If the next item of input does not
>> match the the conversion specification, the conversion fails
>>       ^^^^^^^
> 
> In 2.56 this reduplication is still present, please see the attached
> patch. All the other fixes proposed by Justin appear to have been
> included.

Sorry -- not sure what happened there.  This really is now fixed upstream.

Cheers,

Michael

> ------------------------------------------------------------------------
> 
> diff -ruN man-pages-2.56.orig/man3/scanf.3 man-pages-2.56/man3/scanf.3
> --- man-pages-2.56.orig/man3/scanf.3	2007-05-18 11:55:10.000000000 +0200
> +++ man-pages-2.56/man3/scanf.3	2007-06-14 17:18:04.000000000 +0200
> @@ -154,7 +154,7 @@
>  this specification, and the result is placed in the corresponding
>  .I pointer
>  argument.
> -If the next item of input does not match the the conversion specification,
> +If the next item of input does not match the conversion specification,
>  the conversion fails \(em this is a
>  .IR "matching failure" .
>  .PP

-- 
Michael Kerrisk
maintainer of Linux man pages Sections 2, 3, 4, 5, and 7

Want to help with man page maintenance?  Grab the latest tarball at
http://www.kernel.org/pub/linux/docs/manpages/
read the HOWTOHELP file and grep the source files for 'FIXME'.




Tags added: fixed-upstream Request was from Michael Kerrisk <mtk-manpages@gmx.net> to control@bugs.debian.org. (Sun, 17 Jun 2007 14:49:07 GMT) Full text and rfc822 format available.

Bug closed, send any further explanations to Justin Pryzby <pryzbyj@justinpryzby.com> Request was from Martin Schulze <joey@infodrom.org> to control@bugs.debian.org. (Wed, 30 Jan 2008 21:30:18 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 28 Feb 2008 07:36:33 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 19:15:53 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.